Loading...
Searching...
No Matches
libm2k::analog::DMM Class Referenceabstract
Analog » DMM

Controls the digital multimeter. More...

`#include <libm2k/analog/dmm.hpp>`

## Public Member Functions

virtual std::vector< std::string > | getAllChannels ()=0
| Retrieve all channels.
virtual libm2k::analog::DMM_READING | readChannel (unsigned int index)=0
| Retrieve additional information about the given channel.
virtual libm2k::analog::DMM_READING | readChannel (std::string chn_name)=0
| Retrieve additional information about the given channel.
virtual std::vector< libm2k::analog::DMM_READING > | readAll ()=0
| Retrieve additional information about all channels.
virtual std::string | getName ()=0
| Retrieve the device's name.

## Detailed Description

Controls the digital multimeter.

The documentation for this class was generated from the following file:

- dmm.hpp